#### D.4.16.10 printResolution

Procedure from library `modules.lib` (see modules_lib).

Usage:
  printResolution(R); or R; R Resolution

Return:
  nothing, prints the resolution

Example:

    LIB "modules.lib";
    ring r;
    matrix m[1][3]=x,y,z;
    Matrix M=m;
    Module N=coker(M);
    N;
    ==> cokernel | x y z |
    ==>
    ==>
    Resolution R = Res(N);
    R;
    ==>  1      3      3      1
    ==> r <--  r <--  r <--  r
    ==>
    ==> 0      1      2      3
    ==> resolution not minimized yet
    ==>
    ==>

User manual for Singular version 4.4.1, 2025, generated by texi2html.